require File.expand_path('../../lib/scripting', __FILE__)

my_app = Scripting::create_application do
  plugin Scripting::AppDefaults
  plugin Scripting::Commands

  options do
  end

  switches do
    self.banner = "Usage: #{File.basename(__FILE__)} [opts] command [args]"
  end

  command :echo do
    description "Echo arguments to stdout"
    work do |*args|
      puts args.join(' ')
    end
  end

  command :add do
    description "Add two arguments"
    work do |a, b|
      puts a.to_f + b.to_f
    end
  end

  command :sum do
    description "Sum all arguments"
    work do |*args|
      puts args.collect(&:to_f).inject(&:+)
    end
  end

  command :avg do
    description "Average of all arguments"
    work do |*args|
      count = args.length
      puts args.collect(&:to_f).inject(&:+) / count
    end
  end
end

my_app.run! ARGV if $0 == __FILE__