require File.expand_path('../../lib/scripting', __FILE__)

my_app = Scripting::create_application do
  plugin Scripting::AppDefaults

  options do
    message { "Hello World" }
    stdout false
    stderr false
  end

  switches do
    on('-o', '--[no-]stdout', "Write message to STDOUT") do |opt|
      options.stdout = opt
    end

    on('-e', '--[no-]stderr', "Write message to STDERR") do |opt|
      options.stderr = opt
    end

    on('-m', '--message=TEXT', "Message to write") do |opt|
      options.message = opt
    end
  end

  work do
    $stderr.puts options.message if options.stderr?
    $stdout.puts options.message if options.stdout?
  end
end

my_app.run! ARGV if $0 == __FILE__